New anki hub add on bug

I have a add on bug that does not appear to be on any other forums. I have done all the steps to get the anki hub decks but it will not allow me to properly download ankihub add on. I downloaded the add on but instead of being able to sign in it says error and shows me the troubleshooting info. Here is the exact debug info:
Anki 24.06.1 (205068a9) (ao)
Python 3.9.18 Qt 5.14.2 PyQt 5.14.1
Platform: macOS-13.0-x86_64-i386-64bit

Traceback (most recent call last):
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3232, in connect
self._state.set_connection(self._connect())
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3579, in _connect
self._add_conn_hooks(conn)
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3589, in _add_conn_hooks
self._set_pragmas(conn)
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3604, in _set_pragmas
cursor.execute(‘PRAGMA %s = %s;’ % (pragma, value))
sqlite3.DatabaseError: database disk image is malformed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3290, in execute_sql
cursor = self.cursor()
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3280, in cursor
self.connect()
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3235, in connect
self._initialize_connection(self._state.conn)
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3059, in exit
reraise(new_type, new_type(exc_value, *exc_args), traceback)
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 192, in reraise
raise value.with_traceback(tb)
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3232, in connect
self._state.set_connection(self._connect())
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3579, in _connect
self._add_conn_hooks(conn)
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3589, in _add_conn_hooks
self._set_pragmas(conn)
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3604, in _set_pragmas
cursor.execute(‘PRAGMA %s = %s;’ % (pragma, value))
peewee.DatabaseError: database disk image is malformed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “aqt.progress”, line 119, in handler
File “aqt.main”, line 219, in on_window_init
File “aqt.main”, line 318, in setupProfile
File “aqt.main”, line 530, in loadProfile
File “_aqt.hooks”, line 4101, in call
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/entry_point.py”, line 58, in _on_profile_did_open
if not _profile_setup():
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/entry_point.py”, line 88, in _profile_setup
ankihub_db.setup_and_migrate(ankihub_db_path())
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/db/db.py”, line 79, in setup_and_migrate
if self.schema_version() == 0:
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/db/db.py”, line 90, in schema_version
return get_peewee_database().pragma(“user_version”)
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3625, in pragma
row = self.execute_sql(sql).fetchone()
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3291, in execute_sql
cursor.execute(sql, params or ())
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3059, in exit
reraise(new_type, new_type(exc_value, *exc_args), traceback)
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 192, in reraise
raise value.with_traceback(tb)
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3290, in execute_sql
cursor = self.cursor()
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3280, in cursor
self.connect()
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3235, in connect
self._initialize_connection(self._state.conn)
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3059, in exit
reraise(new_type, new_type(exc_value, *exc_args), traceback)
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 192, in reraise
raise value.with_traceback(tb)
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3232, in connect
self._state.set_connection(self._connect())
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3579, in _connect
self._add_conn_hooks(conn)
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3589, in _add_conn_hooks
self._set_pragmas(conn)
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3604, in _set_pragmas
cursor.execute(‘PRAGMA %s = %s;’ % (pragma, value))
peewee.DatabaseError: database disk image is malformed

===Add-ons (active)===
(add-on provided name [Add-on folder, installed at, version, is config changed])
AnkiHub [‘1322529746’, 0, ‘None’, ‘’]

===IDs of active AnkiWeb add-ons===
1322529746

===Add-ons (inactive)===
(add-on provided name [Add-on folder, installed at, version, is config changed])

@abdo.nh

Can you try the solution here?